<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

  <xsl:output method="html"/>
  <xsl:preserve-space elements="dsql"/>

  <xsl:template match="/">
    <html>
      <head><title>DSQL </title>
      </head>
      <body>
      <pre><xsl:apply-templates/></pre>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="comment()">
    <i><font face="arial" color="gray">&lt;!--<xsl:value-of select="."/>--&gt;</font></i>
  </xsl:template>

  <xsl:template match="sql/text()"><b><xsl:value-of select="."/></b></xsl:template>

  <xsl:template match="text()"><xsl:value-of select="."/></xsl:template>

 <xsl:template match="*">
    <xsl:variable name="colour">
       <xsl:choose>
         <xsl:when test="name() = 'sql'">#0000CC</xsl:when>
         <xsl:when test="name() = 'dsql'">#0000CC</xsl:when>
         <xsl:otherwise>##9999FF</xsl:otherwise>
       </xsl:choose>
     </xsl:variable>
     <font face="arial"><xsl:attribute name="color"><xsl:value-of select="$colour"/></xsl:attribute>&lt;<xsl:value-of select="name()"/>
    <xsl:for-each select="@*">
      <xsl:text> </xsl:text><xsl:value-of select="name()"/>="<xsl:value-of select="."/>"</xsl:for-each>&gt;</font><xsl:apply-templates/>
    <font face="arial"><xsl:attribute name="color"><xsl:value-of select="$colour"/></xsl:attribute>&lt;/<xsl:value-of select="name()"/>&gt;</font>
  </xsl:template>

</xsl:stylesheet>
