package dsql;

import java.io.*;
import javax.swing.*;

/** This is class is used to redirect output to the GUI. */

public class JTextAreaOutputStream extends OutputStream {

  JTextArea out;

  public JTextAreaOutputStream(JTextArea _out) {
    out = _out;
  }

  public void write(byte[] b) {
    out.append(new String(b));
  }

  public void write(byte[] b, int off, int len) {
    out.append(new String(b,off,len));
  }

  public void write(int b) {
    char[] bs = new char[1];
    bs[0] = (char) b;
    out.append(new String(bs));
  }

}
