package dsql.parser;

import dsql.exception.*;
import dsql.value.*;

public class ASTArrayIndex extends DMNode implements Assignable {

  public ASTArrayIndex(int id) {
    super(id);
  }

  public ASTArrayIndex(Parser p, int id) {
    super(p, id);
  }

  public void setValue(Value to) throws ExecuteException {
    RecordHolder table = executeArgumentRecordHolder(0);
    int i = executeArgumentNonNull(1).getInt();
    table.setRecord(i,to);    
  }

  public Value execute() throws ExecuteException {
    RecordHolder table = executeArgumentRecordHolder(0);
    int i = executeArgumentNonNull(1).getInt();
    return table.getRecord(i);
  }

}
