package dsql.parser;

import dsql.exception.*;


import dsql.value.*;

import java.io.*;

/** A count expression, e.g. count $x */
public class ASTCount extends ASTFunction {

  /** Constructor for Parser */
  public ASTCount(int id) {
    super(id);
  }

  /** Constructor for Parser */
  public ASTCount(Parser p, int id) {
    super(p, id);
  }

  public Value execute() throws ExecuteException {
    RecordHolder arg = executeArgumentRecordHolder(0);
    return new IntValue(caller,arg.getRecordCount());
  }

}
