package dsql.parser;

import dsql.exception.*;


import dsql.value.*;

import java.io.*;

/** An XML element with an ASTDoc context */
public class ASTDocContext extends ASTXMLElement  {
 
  ASTDoc doc;

  /** Constructor for Parser */
  public ASTDocContext(int id) {
    super(id);
  }

  /** Constructor for Parser */
  public ASTDocContext(Parser p, int id) {
    super(p, id);
  }

  /** Constructor for ASTXMLElement.recast() */
  public ASTDocContext(ASTXMLElement toCopy) {
    super(toCopy);
  }

  public void setDoc(ASTDoc _doc) {doc=_doc;}
  public ASTDoc getDoc() {return doc;}

}
