package dsql.parser;

import dsql.exception.*;


import dsql.value.*;

/** A dynamic string, e.g. 'hello!' */
public class ASTDynamicString extends ASTStringExpr {

  public ASTDynamicString(int id) {
    super(id);
  }

  public ASTDynamicString(Parser p, int id) {
    super(p, id);
  }

  public String toString() {
    StringBuffer sb = new StringBuffer();
    for(int i=0; i<jjtGetNumChildren(); i++)
      sb.append(((DMNode)children[i]).toString());
    return sb.toString();
  }

  public Value execute() throws ExecuteException {
    StringBuffer sb = new StringBuffer();
    for(int i=0; i<jjtGetNumChildren(); i++)
      sb.append(executeArgumentNonNull(i).getString());
    return new StringValue(caller,sb.toString());
  }
}
