package dsql.parser;

import dsql.exception.*;


import dsql.value.*;

/** A float literal, e.g. 4.2 */
public class ASTFloatLit extends ASTNumberLit {

  public ASTFloatLit(int id) {
    super(id);
  }

  public ASTFloatLit(Parser p, int id) {
    super(p, id);
  }

  public Value execute() throws ExecuteException {
    return new FloatValue(str);
  }


}
