package dsql.parser;

import dsql.exception.*;
import dsql.value.*;

/** A list initialiser, eg [1,"ha"] */
public class ASTList extends ASTFunction {

  /** Constructor for Parser */
  public ASTList(int id) {
    super(id);
  }

  /** Constructor for Parser */
  public ASTList(Parser p, int id) {
    super(p, id);
  }

  public Value execute() throws ExecuteException {
    Value[] vals = new Value[children.length];
    for(int i=0; i<vals.length; i++)
	vals[i] = executeArgumentNonNull(i);
    return new List(getCaller(),vals);
  }

}
