package dsql.parser;

import dsql.exception.*;


import dsql.value.*;

import java.io.*;

/** A meta expression */
public class ASTMeta extends ASTFunction {

  boolean all = false;

  /** Constructor for Parser */
  public ASTMeta(int id) {
    super(id);
  }

  /** Constructor for Parser */
  public ASTMeta(Parser p, int id) {
    super(p, id);
  }

  public void setAll() {all=true;}

  public Value execute() throws ExecuteException {
    Value arg = executeArgumentNonNull(0);
     if(arg instanceof AbstractResults)
      return ((AbstractResults)arg).getMeta(all);
    else
      return arg.getMeta();
  }

}
