package dsql.parser;

import dsql.exception.*;


import dsql.value.*;

/** A number literal, e.g. 4 (integer) or 4.2 (float) */
public abstract class ASTNumberLit extends ASTStaticString {

  public ASTNumberLit(int id) {
    super(id);
  }

  public ASTNumberLit(Parser p, int id) {
    super(p, id);
  }

  public void setMinus() { 
    str = "-"+str;
  }

}
