package dsql.parser;

import dsql.exception.*;


import dsql.value.*;

public class ASTRange extends ASTBinaryOperator {

  public ASTRange(int id) {
    super(id);
  }

  public ASTRange(Parser p, int id) {
    super(p, id);
  }

  public Value execute() throws ExecuteException {
    int v1 = executeArgumentNonNull(0).getInt(), 
        v2 = executeArgumentNonNull(1).getInt();
    return new RangeValue(caller,v1,v2);
  }


}
