package dsql.parser;

import dsql.exception.*;


import dsql.value.*;

import java.io.*;

/** A subroutine call */
public class ASTReturn extends DMNode {

  /** Constructor for the parser */
  public ASTReturn(int id) {
    super(id);
  }

  /** Constructor for the parser */
  public ASTReturn(Parser p, int id) {
    super(p, id);
  }

  public Value execute() throws ExecuteException {
    if(hasArgument(0)) throw new ReturnException(executeArgument(0));
    else throw new ReturnException();
  }

}
