package dsql.parser;

import dsql.exception.*;


import dsql.value.*;

/** A static string, e.g. 'hello!' */
public class ASTStaticString extends ASTStringExpr {

  String str;

  public ASTStaticString(int id) {
    super(id);
  }

  public ASTStaticString(Parser p, int id) {
    super(p, id);
  }

  public ASTStaticString(String newStr) {
    super(-1);
    setString(newStr);
  }

  public void setString(String newStr) {
    str = newStr;
  }

  public String toString() {
    return str;
  }

  public Value execute() throws ExecuteException {
    return new StringValue(caller,str);
  }
}
