package dsql.parser;

import dsql.exception.*;


import dsql.value.*;

/** An XML string inside an XML element */
public class ASTXMLString extends ASTXMLElement {

  String str;

  public ASTXMLString(int id) {
    super(id);
  }

  public ASTXMLString(Parser p, int id) {
    super(p, id);
  }

  public void setString(String newStr) {
    str = newStr;
  }

  public String getXMLText() {return str;}
  public String toString() {return str;}

  public Value execute() {
    return new StringValue(caller,str);
  }

}
