package dsql.value;

import dsql.DSQL;
import dsql.exception.*;

import java.util.*;

public abstract class NonScalarValue extends Value {

  Hashtable fields = null;

  public boolean isScalar() {return false;}

  public Object getField(String name) throws ExecuteException {
      Object val = getFields().get(name);
      if(val==null) return super.getField(name);
      else return val;
  }

  public void setField(String name,Value val) throws ExecuteException {
    getFields().put(name,val);
  }

  // ************************

  protected Hashtable getFields() {
      if(fields==null) fields = new Hashtable();
      return fields;
  }

}

