package dsql.exception;

import dsql.parser.DMNode;

public class ExecuteException extends Exception {

  DMNode executeNode = null;

  public ExecuteException(String msg) {
    super(msg);
  }

  public ExecuteException(String msg, Throwable exc) {
    super(msg);
    initCause(exc);
  }

  public ExecuteException(String msg, DMNode node) {
    super(msg);
    setNode(node);
  }

  public void setNode(DMNode node) {executeNode=node;}
  public DMNode getNode() {return executeNode;}

}
