package dsql.exception;

import dsql.value.*;

public class ReturnException extends FlowException {

  Value retval = null;

  public ReturnException() {
    super("Return is not valid outside subroutines");
  }

  public ReturnException(Value _retval) {
    this();
    retval = _retval;
  }

  public Value getValue() {return retval;}

}
