package dsql.parser;

import dsql.exception.*;


import dsql.value.*;

/** And operator */
public class ASTAndOp extends ASTBinaryOperator {

  public ASTAndOp(int id) {
    super(id);
  }

  public ASTAndOp(Parser p, int id) {
    super(p, id);
  }

    //protected int priority() {return 200;}

  public Value execute() throws ExecuteException {
    boolean v1 = executeArgumentNonNull(0).getBoolean(),
          v2 = executeArgumentNonNull(1).getBoolean();
    if(v1 && v2)
      return BooleanValue.TRUE;
    else
      return BooleanValue.FALSE;
  }

}
