package dsql.parser;

import dsql.exception.*;


import dsql.value.*;

import java.io.*;

/** Exists expression, e.g. exists $x */
public class ASTExists extends ASTFunction {

  /** Constructor for Parser */
  public ASTExists(int id) {
    super(id);
  }

  /** Constructor for Parser */
  public ASTExists(Parser p, int id) {
    super(p, id);
  }

  public Value execute() throws ExecuteException {
    TableResult arg = executeArgumentTable(0);
    if(arg.getRecordCount()>0)
      return BooleanValue.TRUE;
    else
      return BooleanValue.FALSE;
  }

}
