package dsql.parser;

import dsql.exception.*;


import dsql.value.*;

import java.io.*;
import java.sql.*;
import java.util.regex.*;

/** An exit statement */
public class ASTExit extends DMNode {

  public ASTExit(int id) {
    super(id);
  }

  public ASTExit(Parser p, int id) {
    super(p, id);
  }

  public Value execute() throws ExecuteException {
    int errcode = 0;
    if(hasArgument(0))
	errcode = executeArgument(0).getInt();
    throw new ExitException(errcode);
  }

}
