package dsql.parser;

import dsql.exception.*;


import dsql.value.*;

/** An integer literal, e.g. 4 */
public class ASTIntLit extends ASTNumberLit {

  public ASTIntLit(int id) {
    super(id);
  }

  public ASTIntLit(Parser p, int id) {
    super(p, id);
  }

  public Value execute() throws ExecuteException {
    return new IntValue(str);
  }

}
