package dsql.parser;

import dsql.exception.*;


import dsql.value.*;

import java.io.*;

/** A length expression, e.g. length($x) or len($x) */
public class ASTLength extends ASTFunction {

  /** Constructor for Parser */
  public ASTLength(int id) {
    super(id);
  }

  /** Constructor for Parser */
  public ASTLength(Parser p, int id) {
    super(p, id);
  }

  public Value execute() throws ExecuteException {
    String str = executeArgumentNonNull(0).getString();
    return new IntValue(caller,str.length());
  }

}
