package dsql.parser;

import dsql.exception.*;


import dsql.value.*;

/** An <optional> element */
public class ASTOptional extends ASTXMLElement {

  public ASTOptional(int id) {
    super(id);
  }

  public ASTOptional(Parser p, int id) {
    super(p, id);
  }

  /** Constructor for ASTXMLElement.recast() */
  public ASTOptional(ASTXMLElement toCopy) {
    super(toCopy);
  }

  public String toString() {
    return "<optional>";
  }

}
