package dsql.parser;

import dsql.exception.*;


import dsql.value.*;

/** A <username> element */
public class ASTUserName extends ASTXMLElement {

  public ASTUserName(int id) {
    super(id);
  }

  public ASTUserName(Parser p, int id) {
    super(p, id);
  }

  /** Constructor for ASTXMLElement.recast() */
  public ASTUserName(ASTXMLElement toCopy) {
    super(toCopy);
  }

  public String toString() {
    return "<username>";
  }

  public String getUserName() throws ExecuteException {
    return getXMLText();
  }

}
