package dsql.value;

import dsql.DSQL;
import dsql.parser.*;
import dsql.exception.*;

import java.io.*;

/** Results of a data element, e.g. ExcelDataValue, XmlDataValue.
 * Instances get created by ASTData
 */
public interface DataValue {

  /** set contents from XML */
  public abstract void setContents(ASTXMLElement ele) throws ExecuteException;

  /** set contents from file */
  public abstract void setContents(String fileName, ASTXMLElement ele) 
    throws ExecuteException;

}
